Index: /trunk/scripts/valgrind/nv.sup
===================================================================
--- /trunk/scripts/valgrind/nv.sup	(revision 6071)
+++ /trunk/scripts/valgrind/nv.sup	(revision 6071)
@@ -0,0 +1,81 @@
+{
+   Nvidia01
+   Memcheck:Param
+   ioctl(generic)
+   fun:ioctl
+   obj:/usr/lib/nvidia-7676/lib/libGL.so.1.0.7676
+}
+
+{
+   NVidia02
+   Memcheck:Cond
+   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
+}
+{
+   NVidia03
+   Memcheck:Addr4
+   obj:/usr/lib/nvidia-7676/lib/libGL.so.1.0.7676
+}
+{
+   NV04
+   Memcheck:Cond
+   fun:_nv000027gl
+   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
+}
+{
+   NV05
+   Memcheck:Param
+   ioctl(generic)
+   fun:ioctl
+   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
+   obj:*
+}
+{
+   NV06
+   Memcheck:Cond
+   fun:_nv000028gl
+   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
+   obj:*
+}
+
+{
+   NV07
+   Memcheck:Param
+   ioctl(generic)
+   fun:ioctl
+   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
+   obj:*
+}
+{
+   NV08
+   Memcheck:Cond
+   fun:_nv000028gl
+   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
+   obj:*
+}
+{
+   NV09
+   Memcheck:Cond
+   fun:strcat
+   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
+}
+
+{
+   GFX-Engine
+   Memcheck:Param
+   writev(vector[...])
+   obj:/lib/tls/libc-2.3.2.so
+   fun:writev
+   obj:/usr/X11R6/lib/libX11.so.6.2
+   fun:_X11TransWritev
+   fun:_XSend
+   fun:XStoreColors
+   fun:X11_SetGammaRamp
+   fun:X11_CreateWindow
+   fun:X11_SetVideoMode
+   fun:SDL_SetVideoMode
+   fun:_ZN14GraphicsEngine13setResolutionEiii
+   fun:_ZN14GraphicsEngine9initVideoEjjj
+}
+
+
Index: unk/scripts/valgrind/nvidia.suppression
===================================================================
--- /trunk/scripts/valgrind/nvidia.suppression	(revision 6070)
+++ 	(revision )
@@ -1,81 +1,0 @@
-{
-   Nvidia01
-   Memcheck:Param
-   ioctl(generic)
-   fun:ioctl
-   obj:/usr/lib/nvidia-7676/lib/libGL.so.1.0.7676
-}
-
-{
-   NVidia02
-   Memcheck:Cond
-   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
-}
-{
-   NVidia03
-   Memcheck:Addr4
-   obj:/usr/lib/nvidia-7676/lib/libGL.so.1.0.7676
-}
-{
-   NV04
-   Memcheck:Cond
-   fun:_nv000027gl
-   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
-}
-{
-   NV05
-   Memcheck:Param
-   ioctl(generic)
-   fun:ioctl
-   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
-   obj:*
-}
-{
-   NV06
-   Memcheck:Cond
-   fun:_nv000028gl
-   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
-   obj:*
-}
-
-{
-   NV07
-   Memcheck:Param
-   ioctl(generic)
-   fun:ioctl
-   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
-   obj:*
-}
-{
-   NV08
-   Memcheck:Cond
-   fun:_nv000028gl
-   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
-   obj:*
-}
-{
-   NV09
-   Memcheck:Cond
-   fun:strcat
-   obj:/usr/lib/nvidia-7676/lib/libGLcore.so.1.0.7676
-}
-
-{
-   GFX-Engine
-   Memcheck:Param
-   writev(vector[...])
-   obj:/lib/tls/libc-2.3.2.so
-   fun:writev
-   obj:/usr/X11R6/lib/libX11.so.6.2
-   fun:_X11TransWritev
-   fun:_XSend
-   fun:XStoreColors
-   fun:X11_SetGammaRamp
-   fun:X11_CreateWindow
-   fun:X11_SetVideoMode
-   fun:SDL_SetVideoMode
-   fun:_ZN14GraphicsEngine13setResolutionEiii
-   fun:_ZN14GraphicsEngine9initVideoEjjj
-}
-
-
Index: /trunk/src/lib/coord/p_node.cc
===================================================================
--- /trunk/src/lib/coord/p_node.cc	(revision 6070)
+++ /trunk/src/lib/coord/p_node.cc	(revision 6071)
@@ -84,4 +84,10 @@
 PNode::~PNode ()
 {
+  if (this->parent != NULL)
+   {
+     this->parent->children.remove(this);
+     this->parent = NULL;
+   }
+
   // remove the Node, delete it's children (if required).
   std::list<PNode*>::iterator tmp = this->children.begin();
@@ -95,9 +101,4 @@
       delete (*deleteNode);
   }
-  if (this->parent != NULL)
-   {
-     this->parent->children.remove(this);
-     this->parent = NULL;
-   }
 
   // remove all other allocated memory.
Index: /trunk/src/lib/coord/p_node.h
===================================================================
--- /trunk/src/lib/coord/p_node.h	(revision 6070)
+++ /trunk/src/lib/coord/p_node.h	(revision 6071)
@@ -136,5 +136,4 @@
   void removeChild (PNode* child);
   void removeNode();
-  const std::list<PNode*>& getNodesChildren() const { return this->children; };
 
   /** @param parent the new parent of this node */
@@ -144,5 +143,5 @@
   inline PNode* getParent () const { return this->parent; };
   /** @returns the List of Children of this PNode */
- // inline const tList<PNode>* getChildren() const { return this->children; };
+  const std::list<PNode*>& getNodesChildren() const { return this->children; };
 
   void setParentSoft(PNode* parentNode, float bias = 1.0);
